Clutter-GTK 1.8.4                                                    09/08/2017
===============================================================================

Changes since 1.8.2:
        • Add Meson build, in parallel with Autotools
        • Fix cruft in the Autotools build
        • Fix a snafu in the name of the getter for the
          GtkClutterEmbed:use-layout-size property; the ABI is preserved

List of bugs fixed:
        #783431 - Cannot build clutter-gtk with meson on FreeBSD because
                  -D_XOPEN_SOURCE=500 is too old

Clutter-GTK 1.8.2                                                    18/09/2016
===============================================================================

Changes since 1.8.0:
        • Ensure that embedding works when using GTK+ 3.22. [Lionel Landwerlin]
        • Bump dependency of GTK+.

List of bugs fixed:
        #767627 - Fix gtk-doc build when builddir != srcdir
        #769097 - Totem with GTK+ 3.21.4 has the top controls bar constantly
                  flickering on and off over the video frame

Clutter-GTK 1.8.0                                                    28/03/2016
===============================================================================

Changes since 1.6:
        • Correctly handle HiDPI displays. [Lionel Landwerlin]
        • Bump dependency of GTK.

List of bugs fixed:
        #759375 - Obvious Clutter deprecation warnings
        #758937 - Blurry widgets on hidpi displays

Clutter-GTK 1.6.6                                                    12/10/2015
===============================================================================

Changes since 1.6.4:
        • Fix the build of the API reference so it's usable in DevHelp
        • Add missing symbol indices to the API reference

Clutter-GTK 1.6.4                                                    15/09/2015
===============================================================================

Changes since 1.6.2:
        • Stop using deprecated API wherever possible
        • Fix embedding of the stage on Wayland when using the GDK backend
        • Fix event handling on GDK and X11
        • Translation updates

List of bugs fixed:
        #755053 - Fix gtk-clutter-events on X11/GDK-X11 backends
        #755017 - Consistency between backend checks.
        #755016 - Fix jittery rendering with GDK Clutter backend on X11
        #754944 - Remove unnecessary callbacks from GtkClutterEmbed
        #754891 - Rework foreign stage setup to work on gdk/wayland

Many thanks to:
  Lionel Landwerlin, Piotr Drąg

Clutter-GTK 1.6.2                                                    30/06/2015
===============================================================================

Changes since 1.6.0:
        • Require Clutter 1.22.4 for the GDK-specific API needed to retrieve
          the correct Cogl visual; this fixes Clutter embedding inside GTK on
          systems using the nVidia proprietary Linux binary driver.
        • Documentation updates.

List of bugs fixed:
        #747489 - No access to the Visual used to build the CoglOnscreen
        #699202 - DLL isn't generated by MinGW cross compile on Linux
        #697945 - clutter-win32.h path is wrong

Clutter-GTK 1.6.0                                                    22/09/2014
===============================================================================

Changes since 1.5.4
        • Revert to the X11 backend by default; the GDK backend is not ready
          for Wayland, yet
        • Improve support for Wayland

List of bugs fixed:
        #736564 - problem with gtkclutterembed and gtkstack under wayland

Many thanks to:
  Bastien Nocera

Clutter-GTK 1.5.4                                                    21/08/2014
===============================================================================

Changes since 1.5.2
        • Improve initialization sequence
        • Require GDK backend when using Clutter-GTK
        • Use subsurface protocol when using Wayland

List of bugs fixed:
        #695737 - Add wayland support
        #734905 - Unpainted GtkClutterActor with the GDK backend
        #734906 - Unpainted GtkClutterEmbed with GDK backend

Many thanks to:
  Jasper St. Pierre, Lionel Landwerlin, Bastien Nocera, Olav Vitters, Piotr
  Drąg, Rob Bradford

Clutter-GTK 1.5.2                                                    19/02/2014
===============================================================================

Changes since 1.4:
        • Allow falling back to Cairo-based embedding of GTK+ widgets if
          the Clutter-X11 API is not available.
        • Support window scaling factor in GtkClutterEmbed.

List of bugs fixed:
        #724055

Many thanks to:
  Adel Gadllah, Bastien Nocera

Clutter-GTK 1.4.3                                                    19/03/2013
===============================================================================

Changes since 1.4.2:
        • Bump the dependency on GTK, to remove a workaround for broken state
          propagation in the style code.
        • Bump the dependency on Clutter, to enable using the accessibility
          support in GTK without conflicting with the one in Clutter.
        • Improve the multi-backend support, to prepare ourselves for the
          shiny Wayland future.

List of bugs fixed:
        #691468, #695685, #692399

Many thanks to:
  Bastien Nocera, Cosimo Cecchi, Alejandro Piñeiro

Clutter-GTK 1.4.2                                                    17/12/2012
===============================================================================

Changes since 1.4.0:
        • Remove annotation from constructor function. [Guillaume Desmottes]
        • Ensure the event filter installed by GtkClutterEmbed works correctly
          when multiple embeds are realized/unrealized. [Cosimo Cecchi]
        • Fix links in the DOAP file.

List of bugs fixed:
        #686697, #689879

Many thanks to:
  Guillaume Desmottes, Cosimo Cecchi

Clutter-GTK 1.4.0                                                    17/10/2012
===============================================================================

Changes since 1.3.2:
        • Drop deprecated Clutter API usage from classes and examples.
        • Ensure that GtkClutterEmbed works with GTK+ < 3.4.
        • Documentation fixes.
        • Track the size requests from the embedded ClutterStage. [Tristan Van
          Berkom]
        • Translation updates.

List of bugs fixed:
        #681462, #669877, #684171

Many thanks to:
  Piotr Drąg, Takeshi AIHANA, Tristan Van Berkom

Clutter-GTK 1.3.2                                                    05/06/2012
===============================================================================

Changes since 1.2:
        • Ensure that redraws follow resizing, to avoid the contents of the
          Stage "lagging" behind. [Alexander Larsson]
        • Allow GtkClutterEmbed to use the embedded stage layout manager to
          request its size. [Alexander Larsson]
        • Avoid warnings when hiding or removing GtkWidgets embedded inside
          a GtkClutterActor. [Bastien Nocera, Alexander Larsson]
        • Make GtkClutterActor reactive by default. [Alexander Larsson]

List of bugs fixed:
        #675867, #677282, #677493

Many thanks to:
  Alexander Larsson, Bastien Nocera, Colin Walters

Clutter-GTK 1.2.0                                                    23/03/2012
===============================================================================

Changes since 1.1.2:
        • Ensure that style changes are propagated to embedded widgets
        • Avoid segfaults when unrealizing.
        • Introspection fixes.

List of bugs fixed:
        #670662 - Gtk-CRITICAL **: gtk_widget_unrealize: assertion
                  `GTK_IS_WIDGET (widget)' failed
        #667742 - entries argument of gtk_clutter_init_with_args not
                  annotated as array

Many thanks to:
  Cosimo Cecchi, Evan Nemerson, Guillaume Desmottes, Ryan Lortie

Clutter-GTK 1.1.2                                                    23/11/2011
===============================================================================

Changes since 1.0:

        • Drop all flavours
        Since Clutter 1.9 and GTK+ 3.0 support multiple backends with
        selection at run-time, Clutter-GTK can drop the multiple flavours,
        and support the current Clutter and GDK backend. This is still a
        work in progress, so not every Clutter or GDK backend provide the
        same set of features. Basic Clutter embedding works with the X11,
        GDK, and Windows backends. GTK+ widgets embedding inside Clutter
        works only on the X11 backend.

        • Do not disable multi-device
        Clutter was fixed to support XI2 events coming from GDK without
        destroying the event cookie; this means that Clutter-GTK can
        stop disabling multi-device support in GDK. If your code was
        calling gdk_disable_multi_device() (something that shouldn't have
        been done in the first place) this means that event handling
        will be broken.

        • Make GtkClutterEmbed expand by default
        The GtkClutterEmbed widget should expand by default on both#
        orientations; this allows using the default size negotiation
        mechanisms in GTK, and drop the hack of setting a minimum size
        on the widget.

Many thanks to:

  Marc-André Lureau, Matthias Clasen

Clutter-GTK 1.0.4                                                    27/09/2011
===============================================================================

Changes since 1.0.2:

        • Build fixes
          - Link against libm [Andre Klapper, Frédéric Péters]
          - Fix build on non-X11 systems [Chun-wei Fan]
          - Fix out of tree builds [Colin Walters]

Clutter-GTK 1.0.2                                                    26/07/2011
===============================================================================

Changes since 1.0.0:

        • Build fixes

        • Make sure that GtkClutterActor works with GTK+ ≥ 3.1 [Cosimo Cecchi]

        • Check before unmapping the stage [Raluca Elena Podiuc]

        • Fix for introspection annotations [Simon Wenner]

Clutter-GTK 1.0.0                                                    05/04/2011
===============================================================================

Changes since 0.91.8:

        • Depend on gtk+ ≥ 3.0.0.

        • Depend on clutter ≥ 1.4.0.

        • Fix build for GLES environments. [Andreas Mueller]

        • Use a global filter for GDK events.

        • Fix various compiler warnings.

        • Allow calling gtk_clutter_init* multiple times.

        • Fix build on Windows.

        • Append the API version to the API reference. [Marvin Schmidt]

        • Do not export private symbols from the shared
          library. [Emilio Pozuelo Monfort]

Clutter-GTK 0.91.8                                                   14/01/2011
===============================================================================

Changes since 0.91.6:

        • Depend on gtk+ ≥ 2.91.7.

        • Disable multi-device support in GDK to unbreak the event
          filter function we use to dispatch events from GDK to
          Clutter.

        • Update to the new StyleContext API.

        • Remove the GdkColor/GtkStyle/ClutterColor utility API: the
          old GtkStyle colors have been deprecated in GTK+.

        • Use gettext to localize messages.

Clutter-GTK 0.91.6                                                   22/12/2010
===============================================================================

Changes since 0.91.4:

        • General clean up of the code.

        • Introspection fixes.

        • Moved the texture integration with gtk+ types into a separate
          class, GtkClutterTexture.

        • Fixes to work with gtk+ ≥ 2.91.7.

        • Added translation domain.

Clutter-GTK 0.91.4                                                   11/11/2010
===============================================================================

Changes since 0.91.2:

        • Update after the removal of gtk_widget_hide_all()
          http://bugzilla.clutter-project.org/show_bug.cgi?id=2377

Many thanks to:

  Flo Gravo

Clutter-GTK 0.91.2                                                   05/10/2010
===============================================================================

Changes since 0.90.2:

        • Depend on gtk+ ≥ 2.91.1

        • Use cairo surfaces to replace the deprecated GdkPixmap.

        • Remove GdkColormap.

        • Use GtkWidget instead of GtkSizeRequest.

        • Introspection and build fixes.

Many thanks to:

  Lucas Rocha

Clutter-GTK 0.90.2                                                   09/08/2010
===============================================================================

Changes since 0.10:

        • Depend on Clutter 1.3 and GTK+ 2.90, in preparation for the
          1.4 and 3.0 cycles, respectively.

        • Allow embedding GTK+ widgets inside the ClutterStage provided
          by GtkClutterEmbed.

        • Whenever possible, use a GDK filter function to let Clutter
          update its internal state.

        • Allow retrieving the GOptionGroup for Clutter-GTK, to defer
          the initialization.

        • Remove GtkClutterScrollable and GtkClutterViewport.

Many thanks to:

  Danielle Madeley
  Alexander Larsson
  Christian Persch
  Gord Allott
  Gustavo Noronha Silva
  Javier Jardón

Clutter-GTK 0.10  29/07/2009
============================

Alexander Larsson (1):
      Make GtkClutterEmbed derive from GtkContainer

Chris Lord (1):
      [util] Add error arguments to texture functions

Emmanuele Bassi (14):
      [zoomable] Add Zoomable interface
      [zoomable] Fix Introspection data generation
      [viewport] Implement Zoomable
      Update the Viewport example
      [git ignore] Ignore backup and m4 files
      Post-release bump to 0.9.3
      Bump up the required Clutter version
      [examples] Add a Notebook case
      [viewport] Use the ::apply_transform vfunc
      Merge branch 'zoomable'
      [build] Use symbolic values for clutter-gtk version
      [build] Depend on Clutter 1.0.0
      [docs] Update the API Reference
      [docs] Update the Since tags

Clutter-GTK 0.9.1 22/06/2009
============================

Aaron Bockover (1):
      [embed] Fix on_stage_queue_redraw signature

Colin Walters (1):
      Build GObject introspection data for clutter-gtk

Emmanuele Bassi (13):
      Post-release bump to 0.9.1
      Update for Clutter 1.0 API changes
      Updates for 1.0 API changes in Clutter
      [examples] Use different sized stages
      Merge branch '1.0-integration'
      Use clutter_event_get_key_symbol()
      [build] Use the right inclusion path in the pc file
      Use variables for the include path and linker flags
      [doap] Update description and maintainer
      [build] Remove the reference to introspection.m4
      [build] Depend on the latest stable release of Clutter
      [build] Fixes for distcheck
      [build] Use AS_COMPILER_FLAGS

Neil Roberts (1):
      [gtk-clutter-test] Update for the clutter timeline changes

Robert Bragg (1):
      guard against hiding priv->stage when already destroyed during dispose

Clutter-GTK 0.9.0 11/05/2009
============================

Christian Persch (2):
      [embed] Do NOT realize from GtkWidgetClass::show
      Add gtk_clutter_init_with_args()

Emmanuele Bassi (25):
      Use ClutterText in the events example
      Ensure that the viewport is updated when resizing
      Rename cogl_translatex() to cogl_translate()
      Move to ClutterClone
      Load the image asynchronously
      Make the Stage redraw cycle part of GTK+
      [docs] Rename SGML to XML
      [docs] Remove newline in the version
      [viewport] Remove units-based API
      [docs] Remove the get_originu() method
      [embed] Use GTK+ settings
      Change the GtkClutter macro namespace
      Move init functions out of Embed source
      [tests] Remove compiler warnings
      [build] Improve build environment
      [docs] Improve the documentation
      [gitignore] Create the ignore list
      Rename the svn ChangeLog and add dummy one
      [authors] Update my email address
      [readme] Update the dependencies
      [build] Recurse under build/
      [build] Add a ChangeLog generation rule
      [gitignore] Add more gtk-doc files
      [examples] Tweak multistage example
      [build] Generate ChangeLog starting from the git import

Neil Roberts (1):
      [gtk-clutter-embed] Fill in the unicode_value field of ClutterKeyEvent

Rob Bradford (1):
      [embed] Update "queue-redraw" signal handler prototype

Clutter-GTK 0.8.1 18/07/2008
============================

 - Fix the pkg-config file
 - Really fix bug #907 and enable motion events

Clutter-GTK 0.8.0 15/07/2008
============================

 - Require clutter-x11 0.8.0 or clutter-win32 0.8.0
 - Support the Clutter win32 backend
 - Support multiple GtkClutterEmbed widgets
 - Add utility functions for integrating with GTK+ themes, GTK+ stock icons,
   icon themes and GdkPixbuf
 - Do not open a second Display connection on X11

Clutter-GTK 0.6.0 18/02/2008
============================

 - Require clutter-x11 0.6.0

Clutter-GTK 0.5.2 21/01/2008
============================

 - Require clutter-x11 0.5.4
 - Using the X11 pkg-config file it should now be possible to build against
   Clutter EGLX backend
 - Complete reimplementation of the embeddable widget, letting Clutter draw
   directly onto a GtkWidget window. [Iain Holmes, Matthew Allum, Havoc
   Pennington]
 - Renamed the widget to GtkClutterEmbed

Clutter-GTK 0.5.0 17/01/2008
============================

 - Update for new Clutter 0.5 X11 API

Clutter-GTK 0.3.1 06/07/2007
============================

 - Fix PC file requirements

Clutter-GTK 0.3.0 29/06/2007
============================

 - Update for new Clutter 0.3 API
 - Add a new example

Clutter-GTK 0.1.0 22/03/2007
============================

 - Initial release. 
   o Basic clutter GTK widget using XEMBED.
